Bug 135430 - Update Port: x11/libxcb to v.1.3
Summary: Update Port: x11/libxcb to v.1.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dennis Herrmann
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-06-10 06:30 UTC by Ashish Shukla
Modified: 2009-06-14 23:30 UTC (History)
0 users

See Also:


Attachments
file.diff (2.31 KB, patch)
2009-06-10 06:30 UTC, Ashish Shukla
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ashish Shukla 2009-06-10 06:30:01 UTC
Updated to v.1.3.

Changes:
* files/patch-src-xcb_auth.c is removed.
* libxcb-randr.so.0 is replaced by libxcb-randr.so.1. So probably need to bump version of ports dependent on that .so.

I'm using libxcb 1.3 on my box since 1 day, and I've not noticed any issues with it, so far.
Comment 1 Dennis Herrmann freebsd_committer 2009-06-11 12:50:30 UTC
Responsible Changed
From-To: freebsd-ports-bugs->dhn

I'll take it.
Comment 2 dfilter service freebsd_committer 2009-06-14 23:22:46 UTC
dhn         2009-06-14 22:22:28 UTC

  FreeBSD ports repository

  Modified files:
    x11/libxcb           Makefile distinfo pkg-message pkg-plist 
  Removed files:
    x11/libxcb/files     patch-src-xcb_auth.c 
  Log:
  - Update to 1.3
  
  PR:             ports/135430
  Submitted by:   Ashish SHUKLA <wahjava@gmail.com> (maintainer)
  
  Revision  Changes    Path
  1.18      +1 -3      ports/x11/libxcb/Makefile
  1.8       +3 -3      ports/x11/libxcb/distinfo
  1.2       +0 -16     ports/x11/libxcb/files/patch-src-xcb_auth.c (dead)
  1.3       +0 -1      ports/x11/libxcb/pkg-message
  1.10      +1 -1      ports/x11/libxcb/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Dennis Herrmann freebsd_committer 2009-06-14 23:25:11 UTC
State Changed
From-To: open->closed

Committed. Thanks!